-- 基础信息
base_info = {
	group_id = 243010009
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 9001, gadget_id = 70350245, pos = { x = 96.335, y = 41.094, z = -33.298 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9002, gadget_id = 70350245, pos = { x = 40.573, y = 41.094, z = 0.481 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9003, gadget_id = 70350246, pos = { x = 49.851, y = 41.094, z = -51.462 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9004, gadget_id = 70350246, pos = { x = -31.317, y = 41.094, z = -77.945 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9005, gadget_id = 70350247, pos = { x = -1.960, y = 41.094, z = -27.464 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9006, gadget_id = 70350247, pos = { x = -42.001, y = 41.094, z = -4.596 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9007, gadget_id = 70350245, pos = { x = 63.427, y = 41.094, z = -49.586 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9008, gadget_id = 70350245, pos = { x = 95.899, y = 41.094, z = -33.442 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9009, gadget_id = 70350246, pos = { x = 93.104, y = 41.094, z = -76.980 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9010, gadget_id = 70350246, pos = { x = -10.440, y = 41.094, z = -9.003 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9011, gadget_id = 70350247, pos = { x = -38.930, y = 41.094, z = -56.241 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9012, gadget_id = 70350247, pos = { x = 38.454, y = 41.094, z = -78.328 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9013, gadget_id = 70350245, pos = { x = -38.228, y = 41.094, z = -41.919 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9014, gadget_id = 70350245, pos = { x = 15.847, y = 41.094, z = -27.779 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9015, gadget_id = 70350246, pos = { x = 98.214, y = 41.094, z = -25.195 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9016, gadget_id = 70350246, pos = { x = 22.163, y = 41.094, z = -77.459 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9017, gadget_id = 70350247, pos = { x = -11.068, y = 41.094, z = -7.833 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9018, gadget_id = 70350247, pos = { x = 52.466, y = 41.094, z = -1.620 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9019, gadget_id = 70900205, pos = { x = -6.452, y = 38.371, z = -49.630 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9020, gadget_id = 70350246, pos = { x = 23.196, y = 41.094, z = -77.945 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9021, gadget_id = 70350246, pos = { x = 53.249, y = 41.094, z = -70.387 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9022, gadget_id = 70350246, pos = { x = 96.580, y = 41.094, z = -70.387 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9023, gadget_id = 70350246, pos = { x = 96.580, y = 41.094, z = -29.561 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9024, gadget_id = 70350246, pos = { x = 46.538, y = 41.094, z = -2.531 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9025, gadget_id = 70350246, pos = { x = 64.159, y = 41.094, z = -2.531 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9026, gadget_id = 70350246, pos = { x = -29.795, y = 41.094, z = -6.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9027, gadget_id = 70350246, pos = { x = -33.552, y = 41.094, z = -5.408 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9028, gadget_id = 70350246, pos = { x = 46.053, y = 41.094, z = -3.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9029, gadget_id = 70350246, pos = { x = 19.195, y = 41.094, z = -22.859 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9030, gadget_id = 70350246, pos = { x = 37.189, y = 41.094, z = -45.663 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9031, gadget_id = 70350246, pos = { x = -30.914, y = 41.094, z = -75.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9032, gadget_id = 70350246, pos = { x = -30.914, y = 41.094, z = -75.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9033, gadget_id = 70350246, pos = { x = 29.648, y = 41.094, z = -75.166 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = true
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 9001, 9002, 9003, 9004, 9005, 9006, 9020, 9021, 9022, 9023 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 9007, 9008, 9009, 9010, 9011, 9012, 9027, 9028, 9029, 9030 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 9013, 9014, 9015, 9016, 9017, 9018 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_3/MistTrialV2_BuffLog"
